Having an issue with miniconda update using AUR packaging - Trying to upgrade miniconda 4.6 -> 4.7

Screenshot_20190802_122235

Post the actual output, not a screenshot.

Read the Comments https://aur.archlinux.org/packages/miniconda3/

jadelord commented on 2019-08-02 09:26

This package simply follows the pkgbuild of anaconda in AUR (https://aur.archlinux.org/packages/anaconda/). The packaging scripts have changed. There is no straightforward way to install 4.7.10 right now. If no solution surfaces then I would go back to the old version.

Users are discouraged to install miniconda3 as an AUR package as there is no official howto on packaging it in linux distros (https://github.com/conda/conda/issues/1235). You may be better served as just running:

curl -LO <https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh>
bash Miniconda3-latest-Linux-x86_64.sh -p /path/to/miniconda

lerhard commented on 2019-08-01 18:57

I cannot install the package due to:

==> Starting package()... -> Packaging miniconda3 for installation to /opt/miniconda3 PREFIX=/home/lukas/.cache/yay/miniconda3/pkg/miniconda3/opt/miniconda3 Unpacking payload ... [5169] mod is NULL - structTraceback (most recent call last): File "/spare/local/nwani/pyinstaller_stuff/dev/lib/python3.6/struct.py", line 13, in ModuleNotFoundError: No module named '_struct' [5169] mod is NULL - pyimod02_archiveTraceback (most recent call last): File "/spare/local/nwani/pyinstaller_stuff/dev/lib/python3.6/site-packages/PyInstaller/loader/pyimod02_archive.py", line 28, in ModuleNotFoundError: No module named 'struct' [5169] mod is NULL - pyimod03_importersTraceback (most recent call last):

File "/spare/local/nwani/pyinstaller_stuff/dev/lib/python3.6/site-packages/PyInstaller/loader/pyimod03_importers.py", line 24, in ModuleNotFoundError: No module named 'pyimod02_archive' Traceback (most recent call last): File "site-packages/PyInstaller/loader/pyiboot01_bootstrap.py", line 15, in ModuleNotFoundError: No module named 'pyimod03_importers' [5169] Failed to execute script pyiboot01_bootstrap ERROR: could not extract tar starting at offset 000000000000018891+9231072+2 ==> ERROR: A failure occurred in package(). Aborting... Error making: miniconda3

1 Like

I tried to copy but couldn't so I posted a ss, and this is my first post on this forums.

Thank you sir.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by